IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/88
Addresses2^40
/64 networksPart of one
- Network
fe80:c25a:ec00:ec00:dd:c00::/88- First address
fe80:c25a:ec00:ec00:dd:c00::- Last address
fe80:c25a:ec00:ec00:dd:cff:ffff:ffff- Addresses
- 1,099,511,627,776 (2^40)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25a:ec00:ec00:00dd:0c00:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.0.d.d.0.0.0.0.c.e.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:ec00:ec00:dd:c00::/88 makes 4,096 subnets of /100; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:ec00:ec00:dd:c00::/100 | fe80:c25a:ec00:ec00:dd:c00:fff:ffff |
| 2 | fe80:c25a:ec00:ec00:dd:c00:1000:0/100 | fe80:c25a:ec00:ec00:dd:c00:1fff:ffff |
| 3 | fe80:c25a:ec00:ec00:dd:c00:2000:0/100 | fe80:c25a:ec00:ec00:dd:c00:2fff:ffff |
| 4 | fe80:c25a:ec00:ec00:dd:c00:3000:0/100 | fe80:c25a:ec00:ec00:dd:c00:3fff:ffff |
| 5 | fe80:c25a:ec00:ec00:dd:c00:4000:0/100 | fe80:c25a:ec00:ec00:dd:c00:4fff:ffff |
| 6 | fe80:c25a:ec00:ec00:dd:c00:5000:0/100 | fe80:c25a:ec00:ec00:dd:c00:5fff:ffff |
| 7 | fe80:c25a:ec00:ec00:dd:c00:6000:0/100 | fe80:c25a:ec00:ec00:dd:c00:6fff:ffff |
| 8 | fe80:c25a:ec00:ec00:dd:c00:7000:0/100 | fe80:c25a:ec00:ec00:dd:c00:7fff:ffff |
| 9 | fe80:c25a:ec00:ec00:dd:c00:8000:0/100 | fe80:c25a:ec00:ec00:dd:c00:8fff:ffff |
| 10 | fe80:c25a:ec00:ec00:dd:c00:9000:0/100 | fe80:c25a:ec00:ec00:dd:c00:9fff:ffff |
| 11 | fe80:c25a:ec00:ec00:dd:c00:a000:0/100 | fe80:c25a:ec00:ec00:dd:c00:afff:ffff |
| 12 | fe80:c25a:ec00:ec00:dd:c00:b000:0/100 | fe80:c25a:ec00:ec00:dd:c00:bfff:ffff |
| 13 | fe80:c25a:ec00:ec00:dd:c00:c000:0/100 | fe80:c25a:ec00:ec00:dd:c00:cfff:ffff |
| 14 | fe80:c25a:ec00:ec00:dd:c00:d000:0/100 | fe80:c25a:ec00:ec00:dd:c00:dfff:ffff |
| 15 | fe80:c25a:ec00:ec00:dd:c00:e000:0/100 | fe80:c25a:ec00:ec00:dd:c00:efff:ffff |
| 16 | fe80:c25a:ec00:ec00:dd:c00:f000:0/100 | fe80:c25a:ec00:ec00:dd:c00:ffff:ffff |
| 17 | fe80:c25a:ec00:ec00:dd:c01::/100 | fe80:c25a:ec00:ec00:dd:c01:fff:ffff |
| 18 | fe80:c25a:ec00:ec00:dd:c01:1000:0/100 | fe80:c25a:ec00:ec00:dd:c01:1fff:ffff |
| 19 | fe80:c25a:ec00:ec00:dd:c01:2000:0/100 | fe80:c25a:ec00:ec00:dd:c01:2fff:ffff |
| 20 | fe80:c25a:ec00:ec00:dd:c01:3000:0/100 | fe80:c25a:ec00:ec00:dd:c01:3fff:ffff |
| 21 | fe80:c25a:ec00:ec00:dd:c01:4000:0/100 | fe80:c25a:ec00:ec00:dd:c01:4fff:ffff |
| 22 | fe80:c25a:ec00:ec00:dd:c01:5000:0/100 | fe80:c25a:ec00:ec00:dd:c01:5fff:ffff |
| 23 | fe80:c25a:ec00:ec00:dd:c01:6000:0/100 | fe80:c25a:ec00:ec00:dd:c01:6fff:ffff |
| 24 | fe80:c25a:ec00:ec00:dd:c01:7000:0/100 | fe80:c25a:ec00:ec00:dd:c01:7fff:ffff |
| 25 | fe80:c25a:ec00:ec00:dd:c01:8000:0/100 | fe80:c25a:ec00:ec00:dd:c01:8fff:ffff |
| 26 | fe80:c25a:ec00:ec00:dd:c01:9000:0/100 | fe80:c25a:ec00:ec00:dd:c01:9fff:ffff |
| 27 | fe80:c25a:ec00:ec00:dd:c01:a000:0/100 | fe80:c25a:ec00:ec00:dd:c01:afff:ffff |
| 28 | fe80:c25a:ec00:ec00:dd:c01:b000:0/100 | fe80:c25a:ec00:ec00:dd:c01:bfff:ffff |
| 29 | fe80:c25a:ec00:ec00:dd:c01:c000:0/100 | fe80:c25a:ec00:ec00:dd:c01:cfff:ffff |
| 30 | fe80:c25a:ec00:ec00:dd:c01:d000:0/100 | fe80:c25a:ec00:ec00:dd:c01:dfff:ffff |
| 31 | fe80:c25a:ec00:ec00:dd:c01:e000:0/100 | fe80:c25a:ec00:ec00:dd:c01:efff:ffff |
| 32 | fe80:c25a:ec00:ec00:dd:c01:f000:0/100 | fe80:c25a:ec00:ec00:dd:c01:ffff:ffff |
| 33 | fe80:c25a:ec00:ec00:dd:c02::/100 | fe80:c25a:ec00:ec00:dd:c02:fff:ffff |
| 34 | fe80:c25a:ec00:ec00:dd:c02:1000:0/100 | fe80:c25a:ec00:ec00:dd:c02:1fff:ffff |
| 35 | fe80:c25a:ec00:ec00:dd:c02:2000:0/100 | fe80:c25a:ec00:ec00:dd:c02:2fff:ffff |
| 36 | fe80:c25a:ec00:ec00:dd:c02:3000:0/100 | fe80:c25a:ec00:ec00:dd:c02:3fff:ffff |
| 37 | fe80:c25a:ec00:ec00:dd:c02:4000:0/100 | fe80:c25a:ec00:ec00:dd:c02:4fff:ffff |
| 38 | fe80:c25a:ec00:ec00:dd:c02:5000:0/100 | fe80:c25a:ec00:ec00:dd:c02:5fff:ffff |
| 39 | fe80:c25a:ec00:ec00:dd:c02:6000:0/100 | fe80:c25a:ec00:ec00:dd:c02:6fff:ffff |
| 40 | fe80:c25a:ec00:ec00:dd:c02:7000:0/100 | fe80:c25a:ec00:ec00:dd:c02:7fff:ffff |
| 41 | fe80:c25a:ec00:ec00:dd:c02:8000:0/100 | fe80:c25a:ec00:ec00:dd:c02:8fff:ffff |
| 42 | fe80:c25a:ec00:ec00:dd:c02:9000:0/100 | fe80:c25a:ec00:ec00:dd:c02:9fff:ffff |
| 43 | fe80:c25a:ec00:ec00:dd:c02:a000:0/100 | fe80:c25a:ec00:ec00:dd:c02:afff:ffff |
| 44 | fe80:c25a:ec00:ec00:dd:c02:b000:0/100 | fe80:c25a:ec00:ec00:dd:c02:bfff:ffff |
| 45 | fe80:c25a:ec00:ec00:dd:c02:c000:0/100 | fe80:c25a:ec00:ec00:dd:c02:cfff:ffff |
| 46 | fe80:c25a:ec00:ec00:dd:c02:d000:0/100 | fe80:c25a:ec00:ec00:dd:c02:dfff:ffff |
| 47 | fe80:c25a:ec00:ec00:dd:c02:e000:0/100 | fe80:c25a:ec00:ec00:dd:c02:efff:ffff |
| 48 | fe80:c25a:ec00:ec00:dd:c02:f000:0/100 | fe80:c25a:ec00:ec00:dd:c02:ffff:ffff |
| 49 | fe80:c25a:ec00:ec00:dd:c03::/100 | fe80:c25a:ec00:ec00:dd:c03:fff:ffff |
| 50 | fe80:c25a:ec00:ec00:dd:c03:1000:0/100 | fe80:c25a:ec00:ec00:dd:c03:1fff:ffff |
| 51 | fe80:c25a:ec00:ec00:dd:c03:2000:0/100 | fe80:c25a:ec00:ec00:dd:c03:2fff:ffff |
| 52 | fe80:c25a:ec00:ec00:dd:c03:3000:0/100 | fe80:c25a:ec00:ec00:dd:c03:3fff:ffff |
| 53 | fe80:c25a:ec00:ec00:dd:c03:4000:0/100 | fe80:c25a:ec00:ec00:dd:c03:4fff:ffff |
| 54 | fe80:c25a:ec00:ec00:dd:c03:5000:0/100 | fe80:c25a:ec00:ec00:dd:c03:5fff:ffff |
| 55 | fe80:c25a:ec00:ec00:dd:c03:6000:0/100 | fe80:c25a:ec00:ec00:dd:c03:6fff:ffff |
| 56 | fe80:c25a:ec00:ec00:dd:c03:7000:0/100 | fe80:c25a:ec00:ec00:dd:c03:7fff:ffff |
| 57 | fe80:c25a:ec00:ec00:dd:c03:8000:0/100 | fe80:c25a:ec00:ec00:dd:c03:8fff:ffff |
| 58 | fe80:c25a:ec00:ec00:dd:c03:9000:0/100 | fe80:c25a:ec00:ec00:dd:c03:9fff:ffff |
| 59 | fe80:c25a:ec00:ec00:dd:c03:a000:0/100 | fe80:c25a:ec00:ec00:dd:c03:afff:ffff |
| 60 | fe80:c25a:ec00:ec00:dd:c03:b000:0/100 | fe80:c25a:ec00:ec00:dd:c03:bfff:ffff |
| 61 | fe80:c25a:ec00:ec00:dd:c03:c000:0/100 | fe80:c25a:ec00:ec00:dd:c03:cfff:ffff |
| 62 | fe80:c25a:ec00:ec00:dd:c03:d000:0/100 | fe80:c25a:ec00:ec00:dd:c03:dfff:ffff |
| 63 | fe80:c25a:ec00:ec00:dd:c03:e000:0/100 | fe80:c25a:ec00:ec00:dd:c03:efff:ffff |
| 64 | fe80:c25a:ec00:ec00:dd:c03:f000:0/100 | fe80:c25a:ec00:ec00:dd:c03:ffff:ffff |
| 65 | fe80:c25a:ec00:ec00:dd:c04::/100 | fe80:c25a:ec00:ec00:dd:c04:fff:ffff |
| 66 | fe80:c25a:ec00:ec00:dd:c04:1000:0/100 | fe80:c25a:ec00:ec00:dd:c04:1fff:ffff |
| 67 | fe80:c25a:ec00:ec00:dd:c04:2000:0/100 | fe80:c25a:ec00:ec00:dd:c04:2fff:ffff |
| 68 | fe80:c25a:ec00:ec00:dd:c04:3000:0/100 | fe80:c25a:ec00:ec00:dd:c04:3fff:ffff |
| 69 | fe80:c25a:ec00:ec00:dd:c04:4000:0/100 | fe80:c25a:ec00:ec00:dd:c04:4fff:ffff |
| 70 | fe80:c25a:ec00:ec00:dd:c04:5000:0/100 | fe80:c25a:ec00:ec00:dd:c04:5fff:ffff |
| 71 | fe80:c25a:ec00:ec00:dd:c04:6000:0/100 | fe80:c25a:ec00:ec00:dd:c04:6fff:ffff |
| 72 | fe80:c25a:ec00:ec00:dd:c04:7000:0/100 | fe80:c25a:ec00:ec00:dd:c04:7fff:ffff |
| 73 | fe80:c25a:ec00:ec00:dd:c04:8000:0/100 | fe80:c25a:ec00:ec00:dd:c04:8fff:ffff |
| 74 | fe80:c25a:ec00:ec00:dd:c04:9000:0/100 | fe80:c25a:ec00:ec00:dd:c04:9fff:ffff |
| 75 | fe80:c25a:ec00:ec00:dd:c04:a000:0/100 | fe80:c25a:ec00:ec00:dd:c04:afff:ffff |
| 76 | fe80:c25a:ec00:ec00:dd:c04:b000:0/100 | fe80:c25a:ec00:ec00:dd:c04:bfff:ffff |
| 77 | fe80:c25a:ec00:ec00:dd:c04:c000:0/100 | fe80:c25a:ec00:ec00:dd:c04:cfff:ffff |
| 78 | fe80:c25a:ec00:ec00:dd:c04:d000:0/100 | fe80:c25a:ec00:ec00:dd:c04:dfff:ffff |
| 79 | fe80:c25a:ec00:ec00:dd:c04:e000:0/100 | fe80:c25a:ec00:ec00:dd:c04:efff:ffff |
| 80 | fe80:c25a:ec00:ec00:dd:c04:f000:0/100 | fe80:c25a:ec00:ec00:dd:c04:ffff:ffff |
| 81 | fe80:c25a:ec00:ec00:dd:c05::/100 | fe80:c25a:ec00:ec00:dd:c05:fff:ffff |
| 82 | fe80:c25a:ec00:ec00:dd:c05:1000:0/100 | fe80:c25a:ec00:ec00:dd:c05:1fff:ffff |
| 83 | fe80:c25a:ec00:ec00:dd:c05:2000:0/100 | fe80:c25a:ec00:ec00:dd:c05:2fff:ffff |
| 84 | fe80:c25a:ec00:ec00:dd:c05:3000:0/100 | fe80:c25a:ec00:ec00:dd:c05:3fff:ffff |
| 85 | fe80:c25a:ec00:ec00:dd:c05:4000:0/100 | fe80:c25a:ec00:ec00:dd:c05:4fff:ffff |
| 86 | fe80:c25a:ec00:ec00:dd:c05:5000:0/100 | fe80:c25a:ec00:ec00:dd:c05:5fff:ffff |
| 87 | fe80:c25a:ec00:ec00:dd:c05:6000:0/100 | fe80:c25a:ec00:ec00:dd:c05:6fff:ffff |
| 88 | fe80:c25a:ec00:ec00:dd:c05:7000:0/100 | fe80:c25a:ec00:ec00:dd:c05:7fff:ffff |
| 89 | fe80:c25a:ec00:ec00:dd:c05:8000:0/100 | fe80:c25a:ec00:ec00:dd:c05:8fff:ffff |
| 90 | fe80:c25a:ec00:ec00:dd:c05:9000:0/100 | fe80:c25a:ec00:ec00:dd:c05:9fff:ffff |
| 91 | fe80:c25a:ec00:ec00:dd:c05:a000:0/100 | fe80:c25a:ec00:ec00:dd:c05:afff:ffff |
| 92 | fe80:c25a:ec00:ec00:dd:c05:b000:0/100 | fe80:c25a:ec00:ec00:dd:c05:bfff:ffff |
| 93 | fe80:c25a:ec00:ec00:dd:c05:c000:0/100 | fe80:c25a:ec00:ec00:dd:c05:cfff:ffff |
| 94 | fe80:c25a:ec00:ec00:dd:c05:d000:0/100 | fe80:c25a:ec00:ec00:dd:c05:dfff:ffff |
| 95 | fe80:c25a:ec00:ec00:dd:c05:e000:0/100 | fe80:c25a:ec00:ec00:dd:c05:efff:ffff |
| 96 | fe80:c25a:ec00:ec00:dd:c05:f000:0/100 | fe80:c25a:ec00:ec00:dd:c05:ffff:ffff |
| 97 | fe80:c25a:ec00:ec00:dd:c06::/100 | fe80:c25a:ec00:ec00:dd:c06:fff:ffff |
| 98 | fe80:c25a:ec00:ec00:dd:c06:1000:0/100 | fe80:c25a:ec00:ec00:dd:c06:1fff:ffff |
| 99 | fe80:c25a:ec00:ec00:dd:c06:2000:0/100 | fe80:c25a:ec00:ec00:dd:c06:2fff:ffff |
| 100 | fe80:c25a:ec00:ec00:dd:c06:3000:0/100 | fe80:c25a:ec00:ec00:dd:c06:3fff:ffff |
| 101 | fe80:c25a:ec00:ec00:dd:c06:4000:0/100 | fe80:c25a:ec00:ec00:dd:c06:4fff:ffff |
| 102 | fe80:c25a:ec00:ec00:dd:c06:5000:0/100 | fe80:c25a:ec00:ec00:dd:c06:5fff:ffff |
| 103 | fe80:c25a:ec00:ec00:dd:c06:6000:0/100 | fe80:c25a:ec00:ec00:dd:c06:6fff:ffff |
| 104 | fe80:c25a:ec00:ec00:dd:c06:7000:0/100 | fe80:c25a:ec00:ec00:dd:c06:7fff:ffff |
| 105 | fe80:c25a:ec00:ec00:dd:c06:8000:0/100 | fe80:c25a:ec00:ec00:dd:c06:8fff:ffff |
| 106 | fe80:c25a:ec00:ec00:dd:c06:9000:0/100 | fe80:c25a:ec00:ec00:dd:c06:9fff:ffff |
| 107 | fe80:c25a:ec00:ec00:dd:c06:a000:0/100 | fe80:c25a:ec00:ec00:dd:c06:afff:ffff |
| 108 | fe80:c25a:ec00:ec00:dd:c06:b000:0/100 | fe80:c25a:ec00:ec00:dd:c06:bfff:ffff |
| 109 | fe80:c25a:ec00:ec00:dd:c06:c000:0/100 | fe80:c25a:ec00:ec00:dd:c06:cfff:ffff |
| 110 | fe80:c25a:ec00:ec00:dd:c06:d000:0/100 | fe80:c25a:ec00:ec00:dd:c06:dfff:ffff |
| 111 | fe80:c25a:ec00:ec00:dd:c06:e000:0/100 | fe80:c25a:ec00:ec00:dd:c06:efff:ffff |
| 112 | fe80:c25a:ec00:ec00:dd:c06:f000:0/100 | fe80:c25a:ec00:ec00:dd:c06:ffff:ffff |
| 113 | fe80:c25a:ec00:ec00:dd:c07::/100 | fe80:c25a:ec00:ec00:dd:c07:fff:ffff |
| 114 | fe80:c25a:ec00:ec00:dd:c07:1000:0/100 | fe80:c25a:ec00:ec00:dd:c07:1fff:ffff |
| 115 | fe80:c25a:ec00:ec00:dd:c07:2000:0/100 | fe80:c25a:ec00:ec00:dd:c07:2fff:ffff |
| 116 | fe80:c25a:ec00:ec00:dd:c07:3000:0/100 | fe80:c25a:ec00:ec00:dd:c07:3fff:ffff |
| 117 | fe80:c25a:ec00:ec00:dd:c07:4000:0/100 | fe80:c25a:ec00:ec00:dd:c07:4fff:ffff |
| 118 | fe80:c25a:ec00:ec00:dd:c07:5000:0/100 | fe80:c25a:ec00:ec00:dd:c07:5fff:ffff |
| 119 | fe80:c25a:ec00:ec00:dd:c07:6000:0/100 | fe80:c25a:ec00:ec00:dd:c07:6fff:ffff |
| 120 | fe80:c25a:ec00:ec00:dd:c07:7000:0/100 | fe80:c25a:ec00:ec00:dd:c07:7fff:ffff |
| 121 | fe80:c25a:ec00:ec00:dd:c07:8000:0/100 | fe80:c25a:ec00:ec00:dd:c07:8fff:ffff |
| 122 | fe80:c25a:ec00:ec00:dd:c07:9000:0/100 | fe80:c25a:ec00:ec00:dd:c07:9fff:ffff |
| 123 | fe80:c25a:ec00:ec00:dd:c07:a000:0/100 | fe80:c25a:ec00:ec00:dd:c07:afff:ffff |
| 124 | fe80:c25a:ec00:ec00:dd:c07:b000:0/100 | fe80:c25a:ec00:ec00:dd:c07:bfff:ffff |
| 125 | fe80:c25a:ec00:ec00:dd:c07:c000:0/100 | fe80:c25a:ec00:ec00:dd:c07:cfff:ffff |
| 126 | fe80:c25a:ec00:ec00:dd:c07:d000:0/100 | fe80:c25a:ec00:ec00:dd:c07:dfff:ffff |
| 127 | fe80:c25a:ec00:ec00:dd:c07:e000:0/100 | fe80:c25a:ec00:ec00:dd:c07:efff:ffff |
| 128 | fe80:c25a:ec00:ec00:dd:c07:f000:0/100 | fe80:c25a:ec00:ec00:dd:c07:ffff:ffff |
| 129 | fe80:c25a:ec00:ec00:dd:c08::/100 | fe80:c25a:ec00:ec00:dd:c08:fff:ffff |
| 130 | fe80:c25a:ec00:ec00:dd:c08:1000:0/100 | fe80:c25a:ec00:ec00:dd:c08:1fff:ffff |
| 131 | fe80:c25a:ec00:ec00:dd:c08:2000:0/100 | fe80:c25a:ec00:ec00:dd:c08:2fff:ffff |
| 132 | fe80:c25a:ec00:ec00:dd:c08:3000:0/100 | fe80:c25a:ec00:ec00:dd:c08:3fff:ffff |
| 133 | fe80:c25a:ec00:ec00:dd:c08:4000:0/100 | fe80:c25a:ec00:ec00:dd:c08:4fff:ffff |
| 134 | fe80:c25a:ec00:ec00:dd:c08:5000:0/100 | fe80:c25a:ec00:ec00:dd:c08:5fff:ffff |
| 135 | fe80:c25a:ec00:ec00:dd:c08:6000:0/100 | fe80:c25a:ec00:ec00:dd:c08:6fff:ffff |
| 136 | fe80:c25a:ec00:ec00:dd:c08:7000:0/100 | fe80:c25a:ec00:ec00:dd:c08:7fff:ffff |
| 137 | fe80:c25a:ec00:ec00:dd:c08:8000:0/100 | fe80:c25a:ec00:ec00:dd:c08:8fff:ffff |
| 138 | fe80:c25a:ec00:ec00:dd:c08:9000:0/100 | fe80:c25a:ec00:ec00:dd:c08:9fff:ffff |
| 139 | fe80:c25a:ec00:ec00:dd:c08:a000:0/100 | fe80:c25a:ec00:ec00:dd:c08:afff:ffff |
| 140 | fe80:c25a:ec00:ec00:dd:c08:b000:0/100 | fe80:c25a:ec00:ec00:dd:c08:bfff:ffff |
| 141 | fe80:c25a:ec00:ec00:dd:c08:c000:0/100 | fe80:c25a:ec00:ec00:dd:c08:cfff:ffff |
| 142 | fe80:c25a:ec00:ec00:dd:c08:d000:0/100 | fe80:c25a:ec00:ec00:dd:c08:dfff:ffff |
| 143 | fe80:c25a:ec00:ec00:dd:c08:e000:0/100 | fe80:c25a:ec00:ec00:dd:c08:efff:ffff |
| 144 | fe80:c25a:ec00:ec00:dd:c08:f000:0/100 | fe80:c25a:ec00:ec00:dd:c08:ffff:ffff |
| 145 | fe80:c25a:ec00:ec00:dd:c09::/100 | fe80:c25a:ec00:ec00:dd:c09:fff:ffff |
| 146 | fe80:c25a:ec00:ec00:dd:c09:1000:0/100 | fe80:c25a:ec00:ec00:dd:c09:1fff:ffff |
| 147 | fe80:c25a:ec00:ec00:dd:c09:2000:0/100 | fe80:c25a:ec00:ec00:dd:c09:2fff:ffff |
| 148 | fe80:c25a:ec00:ec00:dd:c09:3000:0/100 | fe80:c25a:ec00:ec00:dd:c09:3fff:ffff |
| 149 | fe80:c25a:ec00:ec00:dd:c09:4000:0/100 | fe80:c25a:ec00:ec00:dd:c09:4fff:ffff |
| 150 | fe80:c25a:ec00:ec00:dd:c09:5000:0/100 | fe80:c25a:ec00:ec00:dd:c09:5fff:ffff |
| 151 | fe80:c25a:ec00:ec00:dd:c09:6000:0/100 | fe80:c25a:ec00:ec00:dd:c09:6fff:ffff |
| 152 | fe80:c25a:ec00:ec00:dd:c09:7000:0/100 | fe80:c25a:ec00:ec00:dd:c09:7fff:ffff |
| 153 | fe80:c25a:ec00:ec00:dd:c09:8000:0/100 | fe80:c25a:ec00:ec00:dd:c09:8fff:ffff |
| 154 | fe80:c25a:ec00:ec00:dd:c09:9000:0/100 | fe80:c25a:ec00:ec00:dd:c09:9fff:ffff |
| 155 | fe80:c25a:ec00:ec00:dd:c09:a000:0/100 | fe80:c25a:ec00:ec00:dd:c09:afff:ffff |
| 156 | fe80:c25a:ec00:ec00:dd:c09:b000:0/100 | fe80:c25a:ec00:ec00:dd:c09:bfff:ffff |
| 157 | fe80:c25a:ec00:ec00:dd:c09:c000:0/100 | fe80:c25a:ec00:ec00:dd:c09:cfff:ffff |
| 158 | fe80:c25a:ec00:ec00:dd:c09:d000:0/100 | fe80:c25a:ec00:ec00:dd:c09:dfff:ffff |
| 159 | fe80:c25a:ec00:ec00:dd:c09:e000:0/100 | fe80:c25a:ec00:ec00:dd:c09:efff:ffff |
| 160 | fe80:c25a:ec00:ec00:dd:c09:f000:0/100 | fe80:c25a:ec00:ec00:dd:c09:ffff:ffff |
| 161 | fe80:c25a:ec00:ec00:dd:c0a::/100 | fe80:c25a:ec00:ec00:dd:c0a:fff:ffff |
| 162 | fe80:c25a:ec00:ec00:dd:c0a:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:1fff:ffff |
| 163 | fe80:c25a:ec00:ec00:dd:c0a:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:2fff:ffff |
| 164 | fe80:c25a:ec00:ec00:dd:c0a:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:3fff:ffff |
| 165 | fe80:c25a:ec00:ec00:dd:c0a:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:4fff:ffff |
| 166 | fe80:c25a:ec00:ec00:dd:c0a:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:5fff:ffff |
| 167 | fe80:c25a:ec00:ec00:dd:c0a:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:6fff:ffff |
| 168 | fe80:c25a:ec00:ec00:dd:c0a:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:7fff:ffff |
| 169 | fe80:c25a:ec00:ec00:dd:c0a:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:8fff:ffff |
| 170 | fe80:c25a:ec00:ec00:dd:c0a:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:9fff:ffff |
| 171 | fe80:c25a:ec00:ec00:dd:c0a:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:afff:ffff |
| 172 | fe80:c25a:ec00:ec00:dd:c0a:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:bfff:ffff |
| 173 | fe80:c25a:ec00:ec00:dd:c0a:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:cfff:ffff |
| 174 | fe80:c25a:ec00:ec00:dd:c0a:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:dfff:ffff |
| 175 | fe80:c25a:ec00:ec00:dd:c0a:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:efff:ffff |
| 176 | fe80:c25a:ec00:ec00:dd:c0a:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0a:ffff:ffff |
| 177 | fe80:c25a:ec00:ec00:dd:c0b::/100 | fe80:c25a:ec00:ec00:dd:c0b:fff:ffff |
| 178 | fe80:c25a:ec00:ec00:dd:c0b:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:1fff:ffff |
| 179 | fe80:c25a:ec00:ec00:dd:c0b:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:2fff:ffff |
| 180 | fe80:c25a:ec00:ec00:dd:c0b:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:3fff:ffff |
| 181 | fe80:c25a:ec00:ec00:dd:c0b:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:4fff:ffff |
| 182 | fe80:c25a:ec00:ec00:dd:c0b:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:5fff:ffff |
| 183 | fe80:c25a:ec00:ec00:dd:c0b:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:6fff:ffff |
| 184 | fe80:c25a:ec00:ec00:dd:c0b:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:7fff:ffff |
| 185 | fe80:c25a:ec00:ec00:dd:c0b:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:8fff:ffff |
| 186 | fe80:c25a:ec00:ec00:dd:c0b:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:9fff:ffff |
| 187 | fe80:c25a:ec00:ec00:dd:c0b:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:afff:ffff |
| 188 | fe80:c25a:ec00:ec00:dd:c0b:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:bfff:ffff |
| 189 | fe80:c25a:ec00:ec00:dd:c0b:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:cfff:ffff |
| 190 | fe80:c25a:ec00:ec00:dd:c0b:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:dfff:ffff |
| 191 | fe80:c25a:ec00:ec00:dd:c0b:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:efff:ffff |
| 192 | fe80:c25a:ec00:ec00:dd:c0b:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0b:ffff:ffff |
| 193 | fe80:c25a:ec00:ec00:dd:c0c::/100 | fe80:c25a:ec00:ec00:dd:c0c:fff:ffff |
| 194 | fe80:c25a:ec00:ec00:dd:c0c:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:1fff:ffff |
| 195 | fe80:c25a:ec00:ec00:dd:c0c:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:2fff:ffff |
| 196 | fe80:c25a:ec00:ec00:dd:c0c:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:3fff:ffff |
| 197 | fe80:c25a:ec00:ec00:dd:c0c:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:4fff:ffff |
| 198 | fe80:c25a:ec00:ec00:dd:c0c:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:5fff:ffff |
| 199 | fe80:c25a:ec00:ec00:dd:c0c:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:6fff:ffff |
| 200 | fe80:c25a:ec00:ec00:dd:c0c:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:7fff:ffff |
| 201 | fe80:c25a:ec00:ec00:dd:c0c:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:8fff:ffff |
| 202 | fe80:c25a:ec00:ec00:dd:c0c:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:9fff:ffff |
| 203 | fe80:c25a:ec00:ec00:dd:c0c:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:afff:ffff |
| 204 | fe80:c25a:ec00:ec00:dd:c0c:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:bfff:ffff |
| 205 | fe80:c25a:ec00:ec00:dd:c0c:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:cfff:ffff |
| 206 | fe80:c25a:ec00:ec00:dd:c0c:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:dfff:ffff |
| 207 | fe80:c25a:ec00:ec00:dd:c0c:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:efff:ffff |
| 208 | fe80:c25a:ec00:ec00:dd:c0c:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0c:ffff:ffff |
| 209 | fe80:c25a:ec00:ec00:dd:c0d::/100 | fe80:c25a:ec00:ec00:dd:c0d:fff:ffff |
| 210 | fe80:c25a:ec00:ec00:dd:c0d:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:1fff:ffff |
| 211 | fe80:c25a:ec00:ec00:dd:c0d:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:2fff:ffff |
| 212 | fe80:c25a:ec00:ec00:dd:c0d:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:3fff:ffff |
| 213 | fe80:c25a:ec00:ec00:dd:c0d:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:4fff:ffff |
| 214 | fe80:c25a:ec00:ec00:dd:c0d:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:5fff:ffff |
| 215 | fe80:c25a:ec00:ec00:dd:c0d:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:6fff:ffff |
| 216 | fe80:c25a:ec00:ec00:dd:c0d:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:7fff:ffff |
| 217 | fe80:c25a:ec00:ec00:dd:c0d:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:8fff:ffff |
| 218 | fe80:c25a:ec00:ec00:dd:c0d:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:9fff:ffff |
| 219 | fe80:c25a:ec00:ec00:dd:c0d:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:afff:ffff |
| 220 | fe80:c25a:ec00:ec00:dd:c0d:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:bfff:ffff |
| 221 | fe80:c25a:ec00:ec00:dd:c0d:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:cfff:ffff |
| 222 | fe80:c25a:ec00:ec00:dd:c0d:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:dfff:ffff |
| 223 | fe80:c25a:ec00:ec00:dd:c0d:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:efff:ffff |
| 224 | fe80:c25a:ec00:ec00:dd:c0d:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0d:ffff:ffff |
| 225 | fe80:c25a:ec00:ec00:dd:c0e::/100 | fe80:c25a:ec00:ec00:dd:c0e:fff:ffff |
| 226 | fe80:c25a:ec00:ec00:dd:c0e:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:1fff:ffff |
| 227 | fe80:c25a:ec00:ec00:dd:c0e:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:2fff:ffff |
| 228 | fe80:c25a:ec00:ec00:dd:c0e:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:3fff:ffff |
| 229 | fe80:c25a:ec00:ec00:dd:c0e:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:4fff:ffff |
| 230 | fe80:c25a:ec00:ec00:dd:c0e:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:5fff:ffff |
| 231 | fe80:c25a:ec00:ec00:dd:c0e:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:6fff:ffff |
| 232 | fe80:c25a:ec00:ec00:dd:c0e:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:7fff:ffff |
| 233 | fe80:c25a:ec00:ec00:dd:c0e:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:8fff:ffff |
| 234 | fe80:c25a:ec00:ec00:dd:c0e:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:9fff:ffff |
| 235 | fe80:c25a:ec00:ec00:dd:c0e:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:afff:ffff |
| 236 | fe80:c25a:ec00:ec00:dd:c0e:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:bfff:ffff |
| 237 | fe80:c25a:ec00:ec00:dd:c0e:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:cfff:ffff |
| 238 | fe80:c25a:ec00:ec00:dd:c0e:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:dfff:ffff |
| 239 | fe80:c25a:ec00:ec00:dd:c0e:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:efff:ffff |
| 240 | fe80:c25a:ec00:ec00:dd:c0e:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0e:ffff:ffff |
| 241 | fe80:c25a:ec00:ec00:dd:c0f::/100 | fe80:c25a:ec00:ec00:dd:c0f:fff:ffff |
| 242 | fe80:c25a:ec00:ec00:dd:c0f:1000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:1fff:ffff |
| 243 | fe80:c25a:ec00:ec00:dd:c0f:2000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:2fff:ffff |
| 244 | fe80:c25a:ec00:ec00:dd:c0f:3000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:3fff:ffff |
| 245 | fe80:c25a:ec00:ec00:dd:c0f:4000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:4fff:ffff |
| 246 | fe80:c25a:ec00:ec00:dd:c0f:5000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:5fff:ffff |
| 247 | fe80:c25a:ec00:ec00:dd:c0f:6000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:6fff:ffff |
| 248 | fe80:c25a:ec00:ec00:dd:c0f:7000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:7fff:ffff |
| 249 | fe80:c25a:ec00:ec00:dd:c0f:8000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:8fff:ffff |
| 250 | fe80:c25a:ec00:ec00:dd:c0f:9000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:9fff:ffff |
| 251 | fe80:c25a:ec00:ec00:dd:c0f:a000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:afff:ffff |
| 252 | fe80:c25a:ec00:ec00:dd:c0f:b000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:bfff:ffff |
| 253 | fe80:c25a:ec00:ec00:dd:c0f:c000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:cfff:ffff |
| 254 | fe80:c25a:ec00:ec00:dd:c0f:d000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:dfff:ffff |
| 255 | fe80:c25a:ec00:ec00:dd:c0f:e000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:efff:ffff |
| 256 | fe80:c25a:ec00:ec00:dd:c0f:f000:0/100 | fe80:c25a:ec00:ec00:dd:c0f:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |